### Signal

# Gdk Seat::tool-removed

#### Declaration

    void
    tool_removed (
      GdkSeat self,
      GdkDeviceTool* tool,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a tool is no longer known to this `seat`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`tool` | `GdkDeviceTool`
| The just removed `GdkDeviceTool`.
| The data is owned by the caller of the function.